Subject: Re: [PATCH 1/5] revisions.txt: document more special refs

From: Felipe Contreras <[email-masked]>
Date: Fri, 14 Apr 2023 23:35:40 -0600

Taylor Blau wrote:
> On Fri, Apr 14, 2023 at 12:49:16PM -0700, Victoria Dye wrote:
> > To help with that, you could create visual separation in the rendered doc by
> > adding a '+' between each special ref description; converting them into a
> > bullet pointed list would also work, I think.
> 
> In case you're looking for another option, you could convert these into
> a description list, which would be consistent with the outer-most list
> in this document.
> 
> I had to refresh myself on how the spacing and continuations work in
> ASCIIdoc, but I think the following (which applies on top of this patch)
> is right:

Fortunately it's easy to test:

  asciidoctor - <<\EOF >foo.html
    `HEAD`:::
      names the commit on which you based the changes in the working tree.
    `FETCH_HEAD`:::
      records the branch which you fetched from a remote repository with
      your last `git fetch` invocation.
  EOF

Yes, the format is fine, I'd just use `::` instead of `:::` as that's generally
the first level, but in practical terms doesn't really matter.

https://docs.asciidoctor.org/asciidoc/latest/lists/description/

Cheers.

-- 
Felipe Contreras